package java.nio.channels;

import java.util.concurrent.Future;
import java.nio.ByteBuffer;

public interface AsynchronousByteChannel extends AsynchronousChannel
{
    public abstract <A> void read(ByteBuffer p0, A p1, CompletionHandler<Integer, ? super A> p2);
    
    public abstract Future<Integer> read(ByteBuffer p0);
    
    public abstract <A> void write(ByteBuffer p0, A p1, CompletionHandler<Integer, ? super A> p2);
    
    public abstract Future<Integer> write(ByteBuffer p0);
}
